# autoconf for GNU make

# verbose yes/no
ac_verbose	:= no

# common stuff
ifneq ($(ac_verbose),no)
  # verbose (for debug)
  ac_init	= echo "**** checking for $(1) ... " >&2; rc=no
  ac_b_cmd	= echo "run: $(1)" >&2; $(1) >/dev/null && rc=yes
  ac_s_cmd	= echo "run: $(1)" >&2; rc=`$(1)`
  ac_fini	= echo "**** ... result is $${rc}" >&2; echo >&2; echo "$${rc}"
else
  # normal
  ac_init	= echo -ne "checking for $(1) ... " >&2; rc=no
  ac_b_cmd	= $(1) >/dev/null 2>&1 && rc=yes
  ac_s_cmd	= rc=`$(1) 2>/dev/null`
  ac_fini	= echo "$${rc}" >&2; echo "$${rc}"
endif

# get uname
ac_uname	= $(shell \
			$(call ac_init,system);\
			$(call ac_s_cmd,uname -s | tr 'A-Z' 'a-z');\
			$(call ac_fini))

# check for some header file
ac_header	= $(shell \
			$(call ac_init,$(1));\
			$(call ac_b_cmd,echo '\#include <$(1)>' |\
				$(CC) $(CFLAGS) -E -);\
			$(call ac_fini))

# check for some library
ac_library	= $(shell \
			$(call ac_init,$(1) in $(2));\
			echo 'void $(1)(); int main() {$(1)();return 0;}' \
				> __ac$$$$.c;\
			$(call ac_b_cmd,$(CC) $(CFLAGS) $(LDFLAGS) -o \
				__ac$$$$$$$$ __ac$$$$$$$$.c -l$(2));\
			rm -f __ac$$$$ __ac$$$$.c;\
			$(call ac_fini))

# check for some binary
ac_binary	= $(shell \
			$(call ac_init,$(1));\
			$(call ac_s_cmd,which $(1));\
			bin="$$rc";rc="no";\
			$(call ac_b_cmd,test -x "$$$$bin");\
			$(call ac_fini))

